Debian Bug report logs - #447342
Should Build-depends simply on mono-xsp2-base and mono-xsp-base

version graph

Package: monodevelop; Maintainer for monodevelop is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for monodevelop is src:monodevelop.

Reported by: Cesare Tirabassi <norsetto@ubuntu.com>

Date: Sat, 20 Oct 2007 10:03:01 UTC

Severity: wishlist

Found in version monodevelop/0.14+dfsg-3

Fixed in version monodevelop/0.18.1+dfsg-1

Done: Mirco Bauer <meebey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mirco Bauer <meebey@debian.org>:
Bug#447342; Package monodevelop. Full text and rfc822 format available.

Acknowledgement sent to Cesare Tirabassi <norsetto@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Mirco Bauer <meebey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: submit@bugs.debian.org
Subject: Should Build-depends simply on mono-xsp2-base and mono-xsp-base
Date: Sat, 20 Oct 2007 12:00:21 +0200
Package: monodevelop
Version: 0.14+dfsg-3
Severity: wishlist
Usertags: origin-ubuntu hardy

Hi,

In version 0.12+dfsg-1 Build-depends on mono-xsp and mono-xsp2 were added for 
ASP.NET support.
However these packages contain the web server too, which should not be 
necessary for building.
Indeed, I have tested that the application builds correctly just with 
build-deps on mono-xsp-base and mono-xsp2-base.

See also https://bugs.launchpad.net/ubuntu/+source/monodevelop/+bug/123182

Thank you,

Cesare




Reply sent to Mirco Bauer <meebey@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cesare Tirabassi <norsetto@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 447342-close@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 447342-close@bugs.debian.org
Subject: Bug#447342: fixed in monodevelop 0.18.1+dfsg-1
Date: Sun, 30 Dec 2007 19:02:04 +0000
Source: monodevelop
Source-Version: 0.18.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
monodevelop, which is due to be installed in the Debian FTP archive:

monodevelop-nunit_0.18.1+dfsg-1_all.deb
  to pool/main/m/monodevelop/monodevelop-nunit_0.18.1+dfsg-1_all.deb
monodevelop-versioncontrol_0.18.1+dfsg-1_all.deb
  to pool/main/m/monodevelop/monodevelop-versioncontrol_0.18.1+dfsg-1_all.deb
monodevelop_0.18.1+dfsg-1.diff.gz
  to pool/main/m/monodevelop/monodevelop_0.18.1+dfsg-1.diff.gz
monodevelop_0.18.1+dfsg-1.dsc
  to pool/main/m/monodevelop/monodevelop_0.18.1+dfsg-1.dsc
monodevelop_0.18.1+dfsg-1_all.deb
  to pool/main/m/monodevelop/monodevelop_0.18.1+dfsg-1_all.deb
monodevelop_0.18.1+dfsg.orig.tar.gz
  to pool/main/m/monodevelop/monodevelop_0.18.1+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447342@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mirco Bauer <meebey@debian.org> (supplier of updated monodevelop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Dec 2007 18:58:51 +0100
Source: monodevelop
Binary: monodevelop-versioncontrol monodevelop-nunit monodevelop
Architecture: source all
Version: 0.18.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Mirco Bauer <meebey@debian.org>
Changed-By: Mirco Bauer <meebey@debian.org>
Description: 
 monodevelop - C/C++/C#/Boo/Java/Nemerle/ILasm/ASP.NET Development Environment
 monodevelop-nunit - NUnit plugin for MonoDevelop
 monodevelop-versioncontrol - VersionControl plugin for MonoDevelop
Closes: 445545 447342 455822
Changes: 
 monodevelop (0.18.1+dfsg-1) unstable; urgency=low
 .
   * The "With a lot of Love: Merry Christmas!" release
   * DFSG version of MonoDevelop 0.18.1
     (deleted all pre-compiled binaries from the tarball)
     + For the record here a list of the deleted files:
       src/addins/NUnit/lib/nunit.core.dll
       src/addins/NUnit/lib/nunit.framework.dll
   * New upstream release (Closes: #445545)
     + Upstream split MonoDevelop into 4 tarballs:
       - monodevelop
       - monodevelop-boo
       - monodevelop-database
       - monodevelop-java
       thus we split up the monodevelop source package into 4 pieces too.
     + MonoDevelop doesn't crash anymore on startup if TMPDIR points to an
       invalid directory. (Closes: #455822)
   * debian/NEWS:
     + Added an important warning / upgrade hints for users upgrading from
       MonoDevelop 0.14 to 0.18.1.
   * debian/rules:
     + Enabled C/C++ project support and GNOME platform support in configure
       call.
     + Enhanced "make clean" error handling.
   * debian/control:
     + Added C and C++ to package descriptions.
     + Changed suggests monodevelop-query to monodevelop-database.
     + Removed boo, ikvm, libmono-oracle2.0-cil, libmono-bytefx0.7.6.2-cil,
       libmono-npgsql2.0-cil, libmono-sqlite2.0-cil, liblog4net1.2-cil and
       libmono-firebirdsql1.7-cil from build-dependencies.
       Those libraries are used now by the other monodevelop source packages.
     + Added libgtkspell-dev and libmono-winforms2.0-cil to build-dependencies.
     + Changed mono-xsp(2) build dependencies to mono-xsp(2)-base, as those are
       sufficient to build the package. (Closes: #447342)
       (thanks to Cesare Tirabassi <norsetto@ubuntu.com> for the investigation)
   * debian/control
     debian/monodevelop-boo.install
     debian/monodevelop-java.install
     debian/monodevelop-query.install:
     + Removed monodevelop-boo, monodevelop-java and monodevelop-query packages.
   * debian/patches/use_nunit2.2.dpatch:
     + Updated and renamed to link_system_nunit2.2.6.dpatch
   * debian/patches/use_real_libs.dpatch:
     + Dropped, the only lib that is included is Mono.Cecil(.Mdb), which is
       has no public releases and is bundled in source form.
   * debian/patches/use_libsvn1.dpatch
     debian/patches/use_libapr1.dpatch:
     + Updated
   * debian/patches/update_templates_for_gtk_sharp_2.8.x.dpatch:
     + Updated and renamed to update_templates_for_gtk-sharp_2.10.dpatch
   * debian/patches/fix_registering_2.0_system_assemblies.dpatch:
     + Dropped, unneeded as MonoDevelop runs on a CLI 2.0 runtime, and thus it
       must be present.
   * debian/patches/fix_dllmaps.dpatch:
     + Dropped, upstream doesn't ship a dllmap anymore, thus we need to provide
       it completly.
   * debian/MonoDevelop.Gettext.dll.config
     debian/MonoDevelop.SourceEditor.dll.config:
     + Added dllmaps so MonoDevelop uses the right libraries at runtime.
   * debian/patches/mono-addins0.2_forwardport.dpatch:
     + Dropped, already applied upstream.
   * debain/control
     debian/monodevelop.menu:
     + Updated Standards-Version to 3.7.3
     + Updated menu section Apps -> Applications
Files: 
 ba30e1d27a7c8d4e062ce0f41a80a892 1610 devel optional monodevelop_0.18.1+dfsg-1.dsc
 834f612ab73d73c509fabf5d1f16e262 4029656 devel optional monodevelop_0.18.1+dfsg.orig.tar.gz
 421862518c18f18d77926e01af74c2dc 20382 devel optional monodevelop_0.18.1+dfsg-1.diff.gz
 d8056a46c529eaa20bfa380f5ab3f9b6 3398622 devel optional monodevelop_0.18.1+dfsg-1_all.deb
 2a5168e29dd3e845c509cb7f0d2798a1 57264 devel optional monodevelop-nunit_0.18.1+dfsg-1_all.deb
 b896a3987f13d6b24f06a012c0fd0b07 126912 devel optional monodevelop-versioncontrol_0.18.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBR3fiunEn5avu+UbIAQLF/Qf/b6lBWPoma+14qcOxyJpG8ER6pKEcjLRw
JbhydsMzRvAPd39njBtiU+a9kIBpDcPK4HSfT6NKZC3lGRl2MrLUKzvaAcSwh+lp
yWqRnnG1O/cupCg/CK/Kuukk7UKp05bQs6Bszoqt/WD0FmsSxg12YLZnZFQ8t03o
j6kh+40UWLF3ZNLXLHpJAkEolYQ9jf0CK+WKcYPqHdqSYSXK6TM0nrEdEkSOwEWI
lVBabKsIR0P2DqgXUhrJl5YvHWQwBhN2qbUZ5Fn7c6Gdjx+iSStnuVRcIG6EdDLx
8eIqUkzwzWSZ+lfg2wVK8PH4V9T2DHSW9kK7Puauxm6qQYUoc385Fg==
=Aotw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Feb 2008 07:32:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:04:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.